import java.util.Scanner;

public class Nadoveyivanbje4 {

    public static void main(String[] args) {
        
         Scanner sc=new Scanner(System.in);
        int a,b,c;
        a=sc.nextInt();
        b=sc.nextInt();
        c=sc.nextInt();
        
        String as=Integer.toString(a);
        String bs=Integer.toString(b);
        String cs=Integer.toString(c);
        String abc, acb, bac, bca, cab, cba;
        
        abc=as+bs+cs;
        acb=as+cs+bs;
        bac=bs+as+cs;
        bca=bs+cs+as;
        cab=cs+as+bs;
        cba=cs+bs+as;
        
        int b1,b2,b3,b4,b5,b6;
        b1=Integer.parseInt(abc);
        b2=Integer.parseInt(acb);
        b3=Integer.parseInt(bac);
        b4=Integer.parseInt(bca);
        b5=Integer.parseInt(cab);
        b6=Integer.parseInt(cba);
        
        int max=b1;
        if(b2>max) max=b2;
        if(b3>max) max=b3;
        if(b4>max) max=b4;
        if(b5>max) max=b5;
        if(b6>max) max=b6;
        System.out.println(max);
    }
    
}